FreeMat

- Main Page
- Related Pages

vtkOpenGLPolyDataMapper2D

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOpenGLPolyDataMapper2D provides 2D PolyData annotation support for vtk under OpenGL. Normally the user should use vtkPolyDataMapper2D which in turn will use this class.

To create an instance of class vtkOpenGLPolyDataMapper2D, simply invoke its constructor as follows

      obj = vtkOpenGLPolyDataMapper2D

# Methods

The class vtkOpenGLPolyDataMapper2D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLPolyDataMapper2D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLPolyDataMapper2D = obj.NewInstance ()`
- `vtkOpenGLPolyDataMapper2D = obj.SafeDownCast (vtkObject o)`
- `obj.RenderOverlay (vtkViewport viewport, vtkActor2D actor)` - Actually draw the poly data.